请选择 进入手机版 | 继续访问电脑版

NX二次开发

 找回密码
 立即注册
查看: 514|回复: 2

[函数说明] UF_MODL_create_trimmed_tube创建修剪管道函数用法!

[复制链接]

558

主题

755

帖子

3524

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3524
发表于 2018-1-23 08:23:20 | 显示全部楼层 |阅读模式
UF_MODL_create_trimmed_tube
功能:创建管道特征。
官方解释就这样一句话,从函数名来看,是可以创建一个带修剪的管道特征,但实际上,不使用(以下红字),具体如下:
tag_t *objectsInputArray of objects or one section builder object tag,
but not both, for the tube path
intobject_countInputNumber of objects
UF_MODL_SWEEP_TRIM_object_p_ttrim_dataInputNot used
char *diameters [ 2 ] Input[0] = Outer Diameter
[1] = Inner diameter
UF_FEATURE_SIGNsignInputThe sign of the operation to be performed.
UF_NULLSIGN = create new target solid
UF_POSITIVE = add to target solid
UF_NEGATIVE = subtract from target solid
UF_UNSIGNED = intersect with target solid
tag_t * *featuresOutput to UF_*free*Array of tube feature tags
int*number_of_featuresOutputNumber of features returned
唐康林原创实例如下:
游客,如果您要查看本帖隐藏内容请回复



回复

使用道具 举报

0

主题

3

帖子

19

积分

潜龙勿用

Rank: 1

积分
19
发表于 2018-10-26 16:36:20 | 显示全部楼层
潜心学习,谢谢分享。
回复 支持 反对

使用道具 举报

0

主题

82

帖子

243

积分

禁止访问

积分
243
发表于 2018-10-30 07:42:55 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-12-19 04:59 , Processed in 0.079800 second(s), 24 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表